Subject: Re: [mobile-ip] FW: I-D ACTION:draft-tsirtsis-dsmip-problem-00.txt

From: Pekka Nikander <[email-masked]>
Date: Tue, 12 Aug 2003 13:04:03 +0300

[Slowly catching up old e-mail]

George and Hesham,

Tsirtsis George wrote:
> During the Mobile IP WG meeting in Austria, Hesham and myself brought up the
> issue of mobility management for dual stack nodes. 
> 
> Thomas N. requested that we put together a problem statement so that we can
> discuss the issue; the draft below was published today - it is short and I
> hope to the point - so do read it :)
> 
> I have copied v6ops since I think this is a v4 - v6 migration issue as well
> as Mobile IPv4 and Mobile IPv6 issue. 
> 
> Let us know what you think.

Thanks for putting up this draft.  I think it is very useful
in defining the problem.

However, unfortunately I do not personally agree at all with
the recommendations in the draft:

> 3. Conclusion and recommendations 
> 
>    It is reasonable to assume that the separation between mobility 
>    signaling and IP version used in media planes could be adopted by the 
>    Mobile IP protocol.  
>     
>    To that effect, the following work areas seem to be reasonable: 
>    - it should be possible to create IPv4 extensions to Mobile IPv6 so 
>    that a dual stack mobile node can register its IPv4 and IPv6 HoAs to 
>    a dual stack Home Agent using MIPv6 signaling only. 
>    - it should be possible to create IPv6 extensions to MIPv4 so that a 
>    dual stack mobile node can register its IPv4 and IPv6 HoAs to a dual 
>    stack Home Agent using MIPv4 signaling only. 
>    - it should also be possible to extend MIPv4 and MIPv6 so that a 
>    mobile can register a single CoA (IPv4 or IPv6) to which IPv4 and/or 
>    IPv6 packets can be diverted to. 

To me, it looks like such a solution might be workable, but the
resulting protocols might be very complex.  Too complex, in my
humble opinion.

HIP provides already now an implemented, demonstrated alternativity.
It does not only allow seamless mobility between IPv4 and IPv6, but
it also integrates multi-address multi-homing with mobility.

For an early draft describing what has been implemented, see
draft-nikander-hip-mm-00.txt.  While that requires much more work,
for example, to determine how to deal with NAT devices etc, the
basic approach has been implemented and demonstrated.

Hence, I would request that you drop the Mobile IP specific
recommendations from the problem statement draft, or at least
acknowledge that there are other approaches that may be able
to solve the problem in a different and perhaps better way.

--Pekka Nikander